Subject: LSA flooding on a broadcast network

From: Jeff Wogaman - TX <[email-masked]>
Date: Tue, 9 Dec 2003 13:31:37 -0500

Greetings,

I am new to the OSPF LISTSERV and this is my first post, I hope I am doing
it the right way! I have some questions regarding LSA flooding as it relates
to a broadcast segment. I have searched the archives and am looking to get a
little more clarification on the flooding process.

Given the following basic topology:

       |       |
       |       |
 A ----|       |----C
       |---1---|
       |       |
       |---2---|
 B ----|       |----D
       |       |
         |       |
    Net X       Net Y

On Net X, routers A and B are DR/BDR, they are also both ABRs.
On Net Y, routers 1 and 2 are DR/BDR.

When routers 1 and 2 receive an LSU on Net X they should flood the update
out their Net Y interface. Will both routers 1 and 2 flood the LSU out their
Net Y interfaces to the 224.0.0.5 address? I would assume the answer is yes
even though router 2 is the BDR for Net Y it will still flood the LSU to Net
Y since it did not receive the original LSU on the this interface based on
RFC 2328 section 13.3 paragraph 4, correct?

Now, given the more complex topology:

       |       |
       |---1---|
 A ----|       |----C
       |---2---|
       |       |
       |---3---|
 B ----|       |----D
       |---4---|
         |       |
    Net X       Net Y

On Net X, routers A and B are DR/BDR, they are also both ABRs.
On Net Y, routers 1 and 3 are DR/BDR.

In this scenario routers 1, 2, 3, and 4 receive the LSU on their Net X
interface. I would think routers 2 and 4 send the LSU to the 224.0.0.6
address, while routers 1 and 3 would send the LSU to the 224.0.0.5 address.
Is this correct? If this is the case it would appear that we might have
multiple copies of the same LSA bouncing around on Net Y between the various
routers.

I apologize if I have not gotten my thoughts across clearly as it is not an
easy topic to get across via text. I may be trying to read more into the
flooding process as defined in the RFC but I am confused on how the DR/BDR
should function in the more complex topology. I am trying to understand how
things should work in this environment since it is active in our current
topology and we have had some issues in the past. I would appreciate any
input that the forum might have to help clear up the fog for me a bit.
Thanks in advance for the help on this.

Regards,
jeff

---

From: Acee Lindem <[email-masked]>
Date: Wed, 10 Dec 2003 09:00:03 -0500

Jeff Wogaman - TX wrote:

> Greetings,
>
> I am new to the OSPF LISTSERV and this is my first post, I hope I am
> doing it the right way! I have some questions regarding LSA flooding
> as it relates to a broadcast segment. I have searched the archives and
> am looking to get a little more clarification on the flooding process.
>
> When routers 1 and 2 receive an LSU on Net X they should flood the
> update out their Net Y interface. Will both routers 1 and 2 flood the
> LSU out their Net Y interfaces to the 224.0.0.5 address? I would
> assume the answer is yes even though router 2 is the BDR for Net Y it
> will still flood the LSU to Net Y since it did not receive the
> original LSU on the this interface based on RFC 2328 section 13.3
> paragraph 4, correct?
>
Correct - since 1 and 2 are DR/BDR they will flood the new LSA in a
packet with destinationn 224.0.0.5 on
network Y.

> address, while routers 1 and 3 would send the LSU to the 224.0.0.5
> address. Is this correct? If this is the case it would appear that we
> might have multiple copies of the same LSA bouncing around on Net Y
> between the various routers.
>
Correct on both accounts. If the LSA was deemed as more recent when it
was received
on network X it will be flooded on network Y.

> I apologize if I have not gotten my thoughts across clearly as it is
> not an easy topic to get across via text. I may be trying to read more
> into the flooding process as defined in the RFC but I am confused on
> how the DR/BDR should function in the more complex topology. I am
> trying to understand how things should work in this environment since
> it is active in our current topology and we have had some issues in
> the past. I would appreciate any input that the forum might have to
> help clear up the fog for me a bit. Thanks in advance for the help on
> this.
>
> Regards,
> jeff
>